<script setup>
import { format } from "date-fns";
import { useComputeRelativeTime } from "~/composables/numeric.js";

const props = defineProps({
  mode: {
    type: String,
    required: false,
  },
  start_date: {
    type: String,
    required: true,
  },
  end_date: {
    type: String,
  },
  start_hour: {
    type: String,
    required: true,
  },
  end_hour: {
    type: String,
    required: true,
  },
});

const date_repr = computed(() => {
  return ((props.start_date) && (props.start_date != "JJ/MM"))
    ? format(props.start_date, "dd/MM")
    : "JJ/MM";
});
</script>

<template>
  <div class="flex flex-col text-white">
    <div class="text-sm leading-3">{{ useComputeRelativeTime(start_date) }}</div>
    <div class="leading-3">
      <span class="text-sm">{{ date_repr }}</span> <span class="text-xs">{{ start_hour.replace(":", "h") }}</span>
    </div>
  </div>
</template>

<style scoped></style>